include (U2Algorithm.pri)

# Input
HEADERS += src/molecular_geometry/GeomUtils.h \
           src/molecular_geometry/MolecularSurface.h \
           src/molecular_geometry/MolecularSurfaceFactoryRegistry.h \
           src/molecular_geometry/VanDerWaalsSurface.h \
           src/phyltree/CreatePhyTreeSettings.h \
           src/phyltree/PhyTreeGenerator.h \
           src/phyltree/PhyTreeGeneratorRegistry.h \
           src/phyltree/PhyTreeGeneratorTask.h \
           src/registry/CDSearchTaskFactoryRegistry.h \
           src/registry/CudaGpuRegistry.h \
           src/registry/DnaAssemblyAlgRegistry.h \
           src/registry/DnaAssemblyTask.h \
           src/registry/MSAAlignAlgRegistry.h \
           src/registry/MSAAlignTask.h \
           src/registry/OpenCLGpuRegistry.h \
           src/registry/RepeatFinderTaskFactoryRegistry.h \
           src/registry/SecStructPredictAlgRegistry.h \
           src/registry/SecStructPredictTask.h \
           src/registry/SubstMatrixRegistry.h \
           src/smith_waterman/SmithWatermanReportCallback.h \
           src/smith_waterman/SmithWatermanResult.h \
           src/smith_waterman/SmithWatermanResultFilters.h \
           src/smith_waterman/SmithWatermanSettings.h \
           src/smith_waterman/SmithWatermanTaskFactory.h \
           src/smith_waterman/SmithWatermanTaskFactoryRegistry.h \
           src/smith_waterman/SmithWatermanUtil.h \
           src/smith_waterman/SWResultFilterRegistry.h \
           src/structural_alignment/StructuralAlignmentAlgorithm.h \
           src/structural_alignment/StructuralAlignmentAlgorithmFactory.h \
           src/structural_alignment/StructuralAlignmentAlgorithmRegistry.h \
           src/util_algorithm/BinaryFindOpenCL.h \
           src/util_algorithm/BitsTable.h \
           src/util_algorithm/DynTable.h \
           src/util_algorithm/EnzymeModel.h \
           src/util_algorithm/FindAlgorithm.h \
           src/util_algorithm/FindAlgorithmTask.h \
           src/util_algorithm/ORFAlgorithmTask.h \
           src/util_algorithm/ORFFinder.h \
           src/util_algorithm/RollingArray.h \
           src/util_algorithm/RollingMatrix.h \
           src/util_algorithm/SArrayBasedFindTask.h \
           src/util_algorithm/SArrayIndex.h \
           src/util_algorithm/SArrayIndexSerializer.h \
           src/util_cds/CDSearchTaskFactory.h \
           src/util_dna_assembly/DnaAssemblyMultiTask.h \
           src/util_msa_consensus/BuiltInConsensusAlgorithms.h \
           src/util_msa_consensus/MSAConsensusAlgorithm.h \
           src/util_msa_consensus/MSAConsensusAlgorithmClustal.h \
           src/util_msa_consensus/MSAConsensusAlgorithmDefault.h \
           src/util_msa_consensus/MSAConsensusAlgorithmLevitsky.h \
           src/util_msa_consensus/MSAConsensusAlgorithmRegistry.h \
           src/util_msa_consensus/MSAConsensusAlgorithmStrict.h \
           src/util_msa_consensus/MSAConsensusUtils.h \
           src/util_msa_distance/BuiltInDistanceAlgorithms.h \
           src/util_msa_distance/MSADistanceAlgorithm.h \
           src/util_msa_distance/MSADistanceAlgorithmHamming.h \
           src/util_msa_distance/MSADistanceAlgorithmHammingRevCompl.h \
           src/util_msa_distance/MSADistanceAlgorithmRegistry.h \
           src/util_msaedit/CreateSubalignmentTask.h \
           src/util_msaedit/MAlignmentUtilTasks.h \
           src/util_repeat_finder/RepeatFinderSettings.h \
           src/util_repeat_finder/RepeatFinderTaskFactory.h \
           src/util_weight_matrix/BuiltInPWMConversionAlgorithms.h \
           src/util_weight_matrix/PWMConversionAlgorithm.h \
           src/util_weight_matrix/PWMConversionAlgorithmBVH.h \
           src/util_weight_matrix/PWMConversionAlgorithmLOD.h \
           src/util_weight_matrix/PWMConversionAlgorithmMCH.h \
           src/util_weight_matrix/PWMConversionAlgorithmNLG.h \
           src/util_weight_matrix/PWMConversionAlgorithmRegistry.h \
           src/util_gpu/opencl/OpenCLHelper.h \
           src/util_gpu/opencl/OpenCLUtils.h
SOURCES += src/molecular_geometry/GeomUtils.cpp \
           src/molecular_geometry/MolecularSurface.cpp \
           src/molecular_geometry/MolecularSurfaceFactoryRegistry.cpp \
           src/molecular_geometry/VanDerWaalsSurface.cpp \
           src/phyltree/CreatePhyTreeSettings.cpp \
           src/phyltree/PhyTreeGeneratorRegistry.cpp \
           src/phyltree/PhyTreeGeneratorTask.cpp \
           src/registry/CudaGpuRegistry.cpp \
           src/registry/DnaAssemblyAlgRegistry.cpp \
           src/registry/DnaAssemblyTask.cpp \
           src/registry/MSAAlignAlgRegistry.cpp \
           src/registry/MSAAlignTask.cpp \
           src/registry/OpenCLGpuRegistry.cpp \
           src/registry/RepeatFinderTaskFactoryRegistry.cpp \
           src/registry/SecStructPredictAlgRegistry.cpp \
           src/registry/SecStructPredictTask.cpp \
           src/registry/SubstMatrixRegistry.cpp \
           src/smith_waterman/SmithWatermanReportCallback.cpp \
           src/smith_waterman/SmithWatermanResult.cpp \
           src/smith_waterman/SmithWatermanResultFilters.cpp \
           src/smith_waterman/SmithWatermanTaskFactoryRegistry.cpp \
           src/smith_waterman/SmithWatermanUtil.cpp \
           src/smith_waterman/SWResultFilterRegistry.cpp \
           src/structural_alignment/StructuralAlignmentAlgorithm.cpp \
           src/structural_alignment/StructuralAlignmentAlgorithmFactory.cpp \
           src/structural_alignment/StructuralAlignmentAlgorithmRegistry.cpp \
           src/util_algorithm/BinaryFindOpenCL.cpp \
           src/util_algorithm/BitsTable.cpp \
           src/util_algorithm/EnzymeModel.cpp \
           src/util_algorithm/FindAlgorithm.cpp \
           src/util_algorithm/FindAlgorithmTask.cpp \
           src/util_algorithm/ORFAlgorithmTask.cpp \
           src/util_algorithm/ORFFinder.cpp \
           src/util_algorithm/SArrayBasedFindTask.cpp \
           src/util_algorithm/SArrayIndex.cpp \
           src/util_algorithm/SArrayIndexSerializer.cpp \
           src/util_dna_assembly/DnaAssemblyMultiTask.cpp \
           src/util_msa_consensus/BuiltInConsensusAlgorithms.cpp \
           src/util_msa_consensus/MSAConsensusAlgorithm.cpp \
           src/util_msa_consensus/MSAConsensusAlgorithmClustal.cpp \
           src/util_msa_consensus/MSAConsensusAlgorithmDefault.cpp \
           src/util_msa_consensus/MSAConsensusAlgorithmLevitsky.cpp \
           src/util_msa_consensus/MSAConsensusAlgorithmRegistry.cpp \
           src/util_msa_consensus/MSAConsensusAlgorithmStrict.cpp \
           src/util_msa_consensus/MSAConsensusUtils.cpp \
           src/util_msa_distance/BuiltInDistanceAlgorithms.cpp \
           src/util_msa_distance/MSADistanceAlgorithm.cpp \
           src/util_msa_distance/MSADistanceAlgorithmHamming.cpp \
           src/util_msa_distance/MSADistanceAlgorithmHammingRevCompl.cpp \
           src/util_msa_distance/MSADistanceAlgorithmRegistry.cpp \
           src/util_msaedit/CreateSubalignmentTask.cpp \
           src/util_msaedit/MAlignmentUtilTasks.cpp \
           src/util_weight_matrix/BuiltInPWMConversionAlgorithms.cpp \
           src/util_weight_matrix/PWMConversionAlgorithm.cpp \
           src/util_weight_matrix/PWMConversionAlgorithmBVH.cpp \
           src/util_weight_matrix/PWMConversionAlgorithmLOD.cpp \
           src/util_weight_matrix/PWMConversionAlgorithmMCH.cpp \
           src/util_weight_matrix/PWMConversionAlgorithmNLG.cpp \
           src/util_weight_matrix/PWMConversionAlgorithmRegistry.cpp \
           src/util_gpu/opencl/OpenCLHelper.cpp \
           src/util_gpu/opencl/OpenCLUtils.cpp
RESOURCES += U2Algorithm.qrc
TRANSLATIONS += transl/czech.ts transl/english.ts transl/russian.ts
